CVE-2021-35472

NameCVE-2021-35472
DescriptionAn issue was discovered in LemonLDAP::NG before 2.0.12. Session cache corruption can lead to authorization bypass or spoofing. By running a loop that makes many authentication attempts, an attacker might alternately be authenticated as one of two different users.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-4943-1
NVD severitymedium

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
lemonldap-ng (PTS)stretch1.9.7-3+deb9u2fixed
stretch (security)1.9.7-3+deb9u4fixed
buster, buster (security)2.0.2+ds-7+deb10u6fixed
bullseye2.0.11+ds-4fixed
bookworm, sid2.0.13+ds-3fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
lemonldap-ngsourcestretch(not affected)
lemonldap-ngsourcebuster2.0.2+ds-7+deb10u6DSA-4943-1
lemonldap-ngsource(unstable)2.0.11+ds-4

Notes

[stretch] - lemonldap-ng <not-affected> (Vulnerable code not present; updateSession doesn't use in-memory cache)
https://gitlab.ow2.org/lemonldap-ng/lemonldap-ng/-/issues/2539

Search for package or bug name: Reporting problems